Create Transcription Job From Url
curl --request POST \
--url https://api.fennec-asr.com/api/v1/transcribe/url \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"audio": "https://filesamples.com/samples/audio/mp3/sample-3.mp3",
"context": "<string>",
"formatting": {
"newline_pause_threshold": 0.8,
"double_newline_pause_threshold": 1.5
},
"apply_contextual_correction": false
}
'import requests
url = "https://api.fennec-asr.com/api/v1/transcribe/url"
payload = {
"audio": "https://filesamples.com/samples/audio/mp3/sample-3.mp3",
"context": "<string>",
"formatting": {
"newline_pause_threshold": 0.8,
"double_newline_pause_threshold": 1.5
},
"apply_contextual_correction": False
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audio: 'https://filesamples.com/samples/audio/mp3/sample-3.mp3',
context: '<string>',
formatting: {newline_pause_threshold: 0.8, double_newline_pause_threshold: 1.5},
apply_contextual_correction: false
})
};
fetch('https://api.fennec-asr.com/api/v1/transcribe/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"detail": "Your transcription job has been successfully queued."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API documentation
Create Transcription Job From Url
POST
/
api
/
v1
/
transcribe
/
url
Create Transcription Job From Url
Authorizations
Body
application/json
Defines the request body for the non-streaming transcription endpoint. Accepts an audio source as a URL or a data URI.
A publicly accessible URL to an audio file OR a base64-encoded data URI.
Minimum string length:
1Example:
"https://filesamples.com/samples/audio/mp3/sample-3.mp3"
Optional context to guide the ASR model. Doubles cost and increases latency.
Maximum string length:
1000Rules for applying formatting to the final transcript based on detected pauses.
Show child attributes
Show child attributes
If true, performs an additional AI pass to correct contextual errors. Requires 'context' to be effective.
⌘I